<mat-toolbar [color]="'primary'" class="mat-elevation-z4 mlm-primary-darker">
    <h1 class="app-title">My legos</h1>
    <nav class="navbar">
        <a mat-button routerLink="/home" routerLinkActive="mlm-active-link">
            <mat-icon>home</mat-icon>
            Home
        </a>
        <a mat-button disabled>
            <mat-icon>collections</mat-icon>
            Gallery
        </a>
        <a mat-button routerLink="/api" routerLinkActive="mlm-active-link"> 
            <mat-icon>search</mat-icon>
            Part finder
        </a>
    </nav>
    <span class="flex-spacer"></span>
    <nav class="navbar" *ngIf="!(user$ | async)">
        <a mat-button disabled>
            <mat-icon>local_shipping</mat-icon>
            My MOCs
        </a>
        <a mat-button disabled>
            <mat-icon>extension</mat-icon>
            My Parts
        </a>
        <button mat-button (click)="dialog.openSignIn()">
            <mat-icon>account_circle</mat-icon>
            Sign in
        </button>
    </nav>
    <nav class="navbar" *ngIf="(user$ | async) as user">
        <a mat-button routerLink="/moc" routerLinkActive="mlm-active-link">
            <mat-icon>local_shipping</mat-icon>
            My MOCs
        </a>
        <a mat-button routerLink="/part" routerLinkActive="mlm-active-link">
            <mat-icon>extension</mat-icon>
            My Parts
        </a>
        <button mat-button [matMenuTriggerFor]="menu">
            <mat-icon>more_vert</mat-icon>
            {{user.username}}
        </button>
        <mat-menu #menu="matMenu" xPosition="before" yPosition="below">
            <a mat-menu-item routerLink="/account">
                <mat-icon>account_circle</mat-icon>
                Account
            </a>
            <button mat-menu-item (click)="auth.signoff()">
                <mat-icon>power_settings_new</mat-icon>
                Logout
            </button>
        </mat-menu>
    </nav>
</mat-toolbar>